Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/AST

REAMLIB-266

Department: SUPPORT Affected Products: ADTF Streaming Library 2.9.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: StreamingLib::Reader

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage:

Folgende Frage vom Kunden:

"we are using for our batch processing \"ADTF StreamingLib v2.9.0\", which is part of ADTF. On one particular DAT file we have

non-deterministic behavior when Read() sometimes return extra packets. These packets differ to ordinary with flag - normal data

have value 0x1, but these \"random\" packets have 0x4 (which is not documented):

00040     public:

00044         typedef enum tDataType_tag

00045         {

00046             DTF_DATA = 0x00,    

00047             DTF_SYNC = 0x01,    

00048             DTF_INFO = 0x02     

00049         } tDataTypeFlags;

 Can you confirm that you use 0x4 internally or that it is some new flag?"

Könnt Ihr das bestätigen? Oder war das ein selbstgebasteltes DAT?

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

Lösung:

Die Stream ID 512 ist der Marker Stream (siehe ADTF Doku).

Das ist in erster Linie kein Bug, schön wäre natürlich, wenn dieser Stream geskippt oder speziell gekennzeichnet wird.

Dafür gibt es bereits ein Ticket (ASTREAMLIB-266), siehe auch HD - TicketID 27538LELLE.

History

#1 - 2017-09-04 10:09 - hidden

- Project changed from Public Support to 7

- Status changed from New to Customer Feedback Required

- Topic set to StreamingLib::Reader

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF Streaming Library 2.9.0 added

- Platform Windows 7 64bit added

Hallo Florian,
ich kann das Verhalten des Anwenders nicht nachvollziehen bzw. ist mir dieses Flag nicht bekannt.

tDataTypeFlags sind in der adtf_datablock.h definiert:

00040     public:

00044         typedef enum tDataType_tag

00045         {

00046             DTF_DATA = 0x00,    

00047             DTF_SYNC = 0x01,    

00048             DTF_INFO = 0x02     

00049         } tDataTypeFlags;

 Kann uns der Anwender ein DAT File zur Verfügung stellen in der das von ihm beschriebene Flag auftaucht zur Verfügung stellen?

#2 - 2017-09-08 09:03 - hidden

Hallo Florian,

gibt es etwas neues vom Kunden?

Ohne ein DAT File können wir das nicht nachstellen.

#3 - 2017-09-08 10:59 - hidden

- Status changed from Customer Feedback Required to In Progress

Feedback von Florian:

Hallo,

es stellte sich heraus, das der Kunde die Daten von stream 512 bekommt, ist das nicht der marker stream?

Anscheinend wird dann da auch was falsch interpretiert, ich habe dem Kunden an der Stelle geraten, diesen Stream zu ignorieren.

Wenn ihr da nichts mehr hinzuzufügen habt, kann das Ticket auch gern zu…

#4 - 2017-09-08 16:31 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ASTREAMLIB-266

Hallo Florian,

die Stream ID 512 ist der Marker Stream (siehe ADTF Doku).

Das ist in erster Linie kein Bug, schön wäre natürlich, wenn dieser Stream geskippt oder speziell gekennzeichnet wird.

Dafür gibt es bereits ein Ticket (ASTREAMLIB-266), siehe auch HD - TicketID 27538LELLE.

@Florian, Ticket kann geschlossen werden. Ticket enthält keine sensiblen Daten -> Public

#5 - 2017-09-08 16:32 - hidden

- Private changed from Yes to No

#6 - 2017-09-08 16:32 - hidden

- Project changed from 7 to Public Support

#7 - 2017-09-08 16:36 - hidden

- Subject changed from ADTFS-47607 Technical request: ADTF StreamingLib v2.9.0 - tDataTypeFlags = 0x4 to ADTFS-47607 ADTF StreamingLib

issue with DAT Files contains marker stream ID 512

#8 - 2017-09-11 13:52 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-05-10 2/2

http://www.tcpdf.org

